Media plan

AI Tools

The various methods for Media plan are listed below:

  1. List Media-Plans

  2. Get Import Media Plan Data

  3. Import Media Plan Data (Saving a Media Plan)

  4. Edit an Existing Media Plan

  5. Mail MediaPlan

  6. Download MediaPlan

  7. Update DSP API

List Media-Plans

Gets media plans for a given user account.

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans?isBulkTag=true

Sample Response

{ "mediaPlans": [ { "bulkTagGenStatus": "notstarted", //possible values ['finished','started','notstarted','failed'] "dcmCampaignId": 25058625, "executionId": -1, //Latest Bulk Tag Generation Id ['-1' implies no bulktag generation been done] "externalPlacementExists": false, "id": 1377, "mediaPlanId": 1377, "mediaPlanName": "Qwertykk-1_25058625" }, { "bulkTagGenStatus": "notstarted", "dcmCampaignId": 0, "executionId": -1, "externalPlacementExists": false, "id": 1954, "mediaPlanId": 1954, "mediaPlanName": "bulktag1" } ], "next": "", "previous": "", "totalcount": "2" }

Pagination

To fetch first 10 media-plans:

GET http://demo.stub.api.jivox.com/v2/accounts/<accountId>/media-plans?limit=10&offset=0

To fetch the next 10 media plans:

GET http://demo.stub.api.jivox.com/v2/accounts/<accountId>/media-plans?limit=10&offset=10

Search

To search for a media plan that has the string test in its name:

GET http://demo.stub.api.jivox.com/v2/accounts/<accountId>/media-plans?filters=mediaPlanName(like)test

Get Import Media Plan Data

This is to parse the csv file which needs to be uploaded when creating or updating a media plan

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/import-media-plan

Sample Response

{ "data": [ [ "DSP Name", "Site Name", "Ad Unit type", "Placement name", "Placement dimension", "External Placement Id", "Image tracker", "Additional image trackers", "JavaScript Tracker", "Additional js trackers", "Primary click Trackers", "Secondary Click trackers", "Instream Impression tracking URL", "Video Start Tracking URL", "25% Video viewed tracking URL", "50% video viewed Tracking URL", "75% Video viewed Tracking URL", "100% Video Viewed Tracking URL", "Mute Tracking URL", "Unmute Tracking URL", "Instream Skip ad Tracking URL", "Expansion unit", "Tag type", "Ad Choices", "Privacy", "GDPRV2", "GDPR Consent macro", "CCPA", "NoScriptTag", "MRAID", "Embeddable" ], [ "AOL", "Site1", "", "pn1", "100x300", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "Non expanding", "JS tag", "Disabled", "Enabled", "Enabled", "", "Enabled", "Disabled", "Disabled", "Disabled" ] ], "maxColumns": 31, "selections": { "100%VideoViewedTrackingUR": "100% video viewed Tracking URL", "25%VideoViewedTrackingURL": "25% Video viewed tracking URL", "50%VideoViewedTrackingUR": "50% video viewed Tracking URL", "75%VideoViewedTrackingUR": "75% video viewed Tracking URL", "adChoices": "Ad Choices", "adUnitType": "Ad Unit type", "ccpa": "CCPA", "dimension": "Placement dimension", "dspName": "DSP Name", "embeddable": "Embeddable", "expansionUnit": "Expansion unit", "externalPlacementId": "External Placement Id", "gdprConsentMacro": "GDPR Consent macro", "gdprv2": "GDPRV2", "ignore": "ignore", "instreamImpressionTrackingURL": "Instream Impression tracking URL", "instreamSkipADTrackingURL": "Instream Skip ad Tracking URL", "mraid": "MRAID", "muteTrackingURL": "Mute Tracking URL", "noScriptTag": "NoScriptTag", "placementName": "Placement name", "primaryClickTrackers": "Primary click Trackers", "privacy": "Privacy", "secondaryClickTrackers": "Secondary click Trackers", "siteName": "Site Name", "tagType": "Tag type", "unmuteTrackingURL": "Unmute Tracking URL", "videoStartTrackingURL": "Video Start Tracking URL", "mobileImpressionClickPrimary"; "Primary Mobile Impression Tracker", "mobileImpressionClickSecondary": "Secondary Mobile Impression Tracker" }, "tagFile": "/tmp/bulkTag63577e59-fd01-4071-be5f-8bd6d9325dee/upload/BulkTagMPSample - Sheet1.csv" // location of uploaded file in server }

Import Media Plan Data (Saving a Media Plan)

Saves a new media plan for a given account.

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans

Request Body

{ "mediaPlanName": "first-bulk-tag_5", "mediaPlanUrl": "/tmp/bulkTaga74b8ef9-9167-4434-a23b-6a07dd52ea28/upload/simple BulkTagMPSample - Sheet1.csv", // location of uploaded file in server [should be receieved during csv upload ] "type": "filePath", "mappingDetails": { "dspName": 0, //coloumn index of the csv file "siteName": 1, "placementName": 2, "dimension": 3, "expansionUnit": 4, "tagType": 5, "adChoices": 6, "privacy": 7, "gdprMacro": 8, "gdprConsentMacro": 9, "ccpa": 10, "noScriptTag": 11, "mraid": 12, "embeddable": 13 }, "ignoreFirstRow": true "campaignId": 12324 }

Sample Response

{ "mediaPlanId": 0, "msg": "string" }

Edit an Existing Media Plan

Updates an existing media plan for an account.

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

mediaPlanId

string

Mandatory

path

ID of the media plan associated with a given user account.

Sample Request

PATCH http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans/:mediaPlanId

Request Body

{ "mediaPlanName": "first-bulk-tag_5", "mediaPlanUrl": "/tmp/bulkTaga74b8ef9-9167-4434-a23b-6a07dd52ea28/upload/simple BulkTagMPSample - Sheet1.csv", // location of uploaded file in server [should be receieved during csv upload ] "type": "filePath", "mappingDetails": { "dspName": 0, //coloumn index of the csv file "siteName": 1, "placementName": 2, "dimension": 3, "expansionUnit": 4, "tagType": 5, "adChoices": 6, "privacy": 7, "gdprMacro": 8, "gdprConsentMacro": 9, "ccpa": 10, "noScriptTag": 11, "mraid": 12, "embeddable": 13 }, "ignoreFirstRow": true "campaignId": 12324 }

Sample Response

{ "siteUpdatedCount": 0, "siteAppendedCount": 0, "placementUpdatedCount": 0, "placementAppendedCount": 0, "trackerAppendedCount": 0, "updatedCampaignId": true, "updatedMediaPlanName": true }

Mail MediaPlan

Mail an existing media plan to all the given email address

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

mediaPlanId

string

Mandatory

path

ID of the media plan associated with a given user account.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans/:mediaPlanId/mail

Query Parameters

mailIDs - Comma separated values of emailIDs eg: test1.jivox.com, test2.jivox.com, test3.jivox.com

campaignId(optional field) - It is optional. Use this when you require the tracker details in CSV.

Sample Response

{ "message": "Please check your mail, MediaPlan will be sent shortly" }

Download MediaPlan

Downloads an existing media plan in csv format.

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

mediaPlanId

string

Mandatory

path

ID of the media plan associated with a given user account.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans/:mediaPlanId/download

Query Parameters

campaignId(optional field)- It is optional. Use this when you require the tracker details in CSV.

Sample Response

Download CSV File

Update DSP API

Updates the DSP details.

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

mediaPlanId

string

Mandatory

path

ID of the media plan associated with a given user account

Sample Request

PATCH http://demo.stub.api.jivox.com/v2/accounts/:accountId/media-plans/:mediaPlanId/dsp

Request Body

{ "adChoices": false, "ccpa": true, "embeddable": false, "expansionUnit": "Non expanding", "gdprConsentMacro": "${abcdef}", "gdprMacro": true, "mraid": false, "noScriptTag": false, "privacy": true, "tagType": "JS tag", "adServer": "DCM" }

Sample Response

{ "adServerId": "DCM", "message": "Updated DSP Successfully." }